#  NetAlert.pl
#  Example 5.5:
#  ----------------------------------------
#  From "Win32 Perl Scripting: Administrators Handbook" by Dave Roth
#  Published by New Riders Publishing.
#  ISBN # 1-57870-215-1
#
#  This script sends out network messages.
#
print "From the book 'Win32 Perl Scripting: The Administrator's Handbook' by Dave Roth\n\n";


use Win32::Message;
$Message = shift @ARGV;
SendAlert( $Message, @ARGV );

sub SendAlert
{
    my( $Message, @List ) = @_;
    
    foreach my $Recipient ( @List )
    {    
        print "Sending message to $Recipient...";
        if( Win32::Message::Send( "", $Recipient, "", $Message ) )
        {
            print "successful";
        }
        else
        {
            print "failed";
        }
        print "\n";
    }    
}
